Returns the AI models available to agents.

GEThttps://api.awork.com/api/v1/agents/models
GET https://api.awork.com/api/v1/agents/models

Returns the agent model catalog with effective availability for the current workspace. The response includes model providers, model details, defaults, and available image capabilities. Use these values when selecting a model for an agent or conversation.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

defaultProviderstring or nullOptional

The default provider.

defaultModelstring or nullOptional

The default model.

providersarray of object or nullOptional

The available providers and their models.

Show 5 properties
providerstring or nullOptional

The stable provider key.

displayNamestring or nullOptional

The provider name shown to users.

defaultModelstring or nullOptional

The provider model selected by default.

modelsarray of string or nullOptional

The available provider model keys.

modelDetailsarray of object or nullOptional

Rich model metadata for model pickers.

Show 19 properties
idstring or nullOptional

The model id used by the provider API.

keystring or nullOptional

The stable catalog key.

kindstring or nullOptional

The model kind.

vendorKeystring or nullOptional

The stable vendor key.

vendorCountrystring or nullOptional

The vendor country shown in the model picker.

regionKeystring or nullOptional

The stable serving-region key.

displayNamestring or nullOptional

The display label.

statusstring or nullOptional

The lifecycle status of the model.

isNewbooleanOptional

Whether the model is newly published.

isWorkspaceEnabledbooleanOptional

Whether workspace policy enables the model.

isInUsebooleanOptional

Whether a current workspace configuration or thread uses the model.

isAvailablebooleanOptional

Whether provider readiness makes the model available.

disabledReasonstring or nullOptional

The reason the model is unavailable.

canTogglebooleanOptional

Whether the workspace can change this model's switch.

creditFactornumber or nullOptional
format: double

The cost factor relative to GPT-6.1 Sol for the measured production usage mix.

servedFromstring or nullOptional

The serving region label.

servingFlagstring or nullOptional

The serving region flag.

supportsImageInputbooleanOptional

Whether the model accepts native image input.

supportedReasoningLevelsarray of string or nullOptional

The reasoning levels supported by this model.

performanceLevelsarray of object or nullOptional

The predefined performance levels that resolve to available models.

Show 5 properties
idstring or nullOptional

The stable identifier used by clients to present the performance level.

providerstring or nullOptional

The selected model provider.

modelstring or nullOptional

The selected model name.

reasoningLevelstring or nullOptional

The selected reasoning level.

isDefaultbooleanOptional

Whether this is the default performance level for new personal agent chats.

workspaceSettingsobjectOptional

Represents effective workspace AI model policy.

Show 6 properties
autoEnableNewModelsbooleanOptional

Whether new models in enabled parents are enabled automatically.

vendorsarray of object or nullOptional

The effective vendor states.

Show 7 properties
keystring or nullOptional

The stable switch key.

displayNamestring or nullOptional

The display name.

countrystring or nullOptional

The vendor country, when this switch represents a vendor.

isEnabledbooleanOptional

Whether the switch is enabled.

isNewbooleanOptional

Whether this switch is newly published.

canTogglebooleanOptional

Whether this parent switch can be changed.

disabledReasonstring or nullOptional

The authoritative reason the switch or its children are unavailable.

regionsarray of object or nullOptional

The effective region states.

Show 7 properties
keystring or nullOptional

The stable switch key.

displayNamestring or nullOptional

The display name.

countrystring or nullOptional

The vendor country, when this switch represents a vendor.

isEnabledbooleanOptional

Whether the switch is enabled.

isNewbooleanOptional

Whether this switch is newly published.

canTogglebooleanOptional

Whether this parent switch can be changed.

disabledReasonstring or nullOptional

The authoritative reason the switch or its children are unavailable.

presetsarray of object or nullOptional

Effective Fast, Balanced, and Deep preset assignments.

Show 7 properties
presetKeystring or nullOptional

The preset key.

isAutobooleanOptional

Whether the preset uses central Auto resolution.

modelKeystring or nullOptional

The explicit model key.

reasoningLevelstring or nullOptional

The effective reasoning level.

modelStatusstring or nullOptional

The stored model lifecycle status.

warningstring or nullOptional

The warning shown for a deprecated stored reference.

errorstring or nullOptional

The error shown for a removed or unavailable stored reference.

modelsarray of object or nullOptional

The full effective catalog used by workspace model settings.

Show 19 properties
idstring or nullOptional

The model id used by the provider API.

keystring or nullOptional

The stable catalog key.

kindstring or nullOptional

The model kind.

vendorKeystring or nullOptional

The stable vendor key.

vendorCountrystring or nullOptional

The vendor country shown in the model picker.

regionKeystring or nullOptional

The stable serving-region key.

displayNamestring or nullOptional

The display label.

statusstring or nullOptional

The lifecycle status of the model.

isNewbooleanOptional

Whether the model is newly published.

isWorkspaceEnabledbooleanOptional

Whether workspace policy enables the model.

isInUsebooleanOptional

Whether a current workspace configuration or thread uses the model.

isAvailablebooleanOptional

Whether provider readiness makes the model available.

disabledReasonstring or nullOptional

The reason the model is unavailable.

canTogglebooleanOptional

Whether the workspace can change this model's switch.

creditFactornumber or nullOptional
format: double

The cost factor relative to GPT-6.1 Sol for the measured production usage mix.

servedFromstring or nullOptional

The serving region label.

servingFlagstring or nullOptional

The serving region flag.

supportsImageInputbooleanOptional

Whether the model accepts native image input.

supportedReasoningLevelsarray of string or nullOptional

The reasoning levels supported by this model.

availableImageCapabilitiesarray of string or nullOptional

Image capability keys available in this workspace.

availableImageCapabilitiesarray of string or nullOptional

Image capability keys available in this workspace.

imageCapabilityModelsobject or nullOptional

The configured runtime model for each image capability, using the workspace catalog metadata.

Show schema

object or null

Additional properties
idstring or nullOptional

The model id used by the provider API.

keystring or nullOptional

The stable catalog key.

kindstring or nullOptional

The model kind.

vendorKeystring or nullOptional

The stable vendor key.

vendorCountrystring or nullOptional

The vendor country shown in the model picker.

regionKeystring or nullOptional

The stable serving-region key.

displayNamestring or nullOptional

The display label.

statusstring or nullOptional

The lifecycle status of the model.

isNewbooleanOptional

Whether the model is newly published.

isWorkspaceEnabledbooleanOptional

Whether workspace policy enables the model.

isInUsebooleanOptional

Whether a current workspace configuration or thread uses the model.

isAvailablebooleanOptional

Whether provider readiness makes the model available.

disabledReasonstring or nullOptional

The reason the model is unavailable.

canTogglebooleanOptional

Whether the workspace can change this model's switch.

creditFactornumber or nullOptional
format: double

The cost factor relative to GPT-6.1 Sol for the measured production usage mix.

servedFromstring or nullOptional

The serving region label.

servingFlagstring or nullOptional

The serving region flag.

supportsImageInputbooleanOptional

Whether the model accepts native image input.

supportedReasoningLevelsarray of string or nullOptional

The reasoning levels supported by this model.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation